@font-face {
  font-family: "MyCustomFont"; /* Название вашего шрифта */
  src: url("assets/css/fonts/Flaticon.woff") format("woff");
}

:root {
  --fontFamily: "Nunito", sans-serif;
  --mainColor: #023e8a;
  --mainRedColor: #fe4a55;
  --mainGreyColor: #f5f7fa;
  --secondaryColor: #6ba292;
  --optionalColor: #606060;
  --whiteColor: #ffffff;
  --blackColor: #221638;
  --fontSize: 16px;
  --darkBlue: #023e8a;
  --mediumBlue: #0077b6;
  --lightBlue: #90e0ef;
  --paleBlue: #caf0f8;
  --maxContainerWidth: 1400px;
  --maxTitleBlockWidth: 800px;
}

body {
  font-family: var(--fontFamily);
}

.row {
  margin: 0 !important;
}

/* Custom scroll */
body::-webkit-scrollbar {
  width: 7px; /* Width of scrollbar */
}

body::-webkit-scrollbar-track {
  background: transparent; /* background of track */
}

body::-webkit-scrollbar-thumb {
  background-color: var(--optionalColor); /* Color of scrollbar */
  border-radius: 6px; /* border-radius of scrollbar */
}

.nav-link {
  cursor: pointer;
}

header {
  position: sticky;
  top: 0;
  z-index: 1000;
  box-shadow: 0 4px 6px -1px #0000001a, 0 2px 4px -2px #0000001a;
}

.odd-element {
  background: var(--mainGreyColor) !important;
}

.content-block {
  max-width: var(--maxContainerWidth);
  margin: 0 auto;
  padding: 80px 0;
}

.title-block {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 0 20px 20px 20px;
  max-width: var(--maxTitleBlockWidth);
  margin: 0 auto;
}

.title {
  font-family: var(--fontFamily);
  font-weight: 800;
  font-size: 36px;
  text-align: center;
}

.sub-title {
  text-align: center;
  color: var(--mainColor);
  margin: 0;
}

.description {
  font-family: var(--fontFamily);
  text-align: center;
}

.nav-wrapper {
  display: flex;
  justify-content: space-between;
  max-width: var(--maxContainerWidth);
  margin: 0 auto;
}

.main-logo {
  max-width: 250px;
  height: 90px;
}

.navbar-collapse {
  flex-grow: 0 !important;
}

.nav-link {
  font-family: inherit;
  font-weight: 600 !important;
  color: white !important;
  font-size: 1.1rem !important;
  border-bottom: 3px solid transparent !important;
}

.nav-link:hover {
  border-bottom: 3px solid white !important;
}

.banner-block {
  position: relative;
}

.main-banner-wrapper {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  min-height: 813px;
  background-image: url("assets/images/projects/project-banner-2.jfif");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}

.main-banner-wrapper::before {
  content: "";
  background-color: rgba(0, 0, 0, 0.4);
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
}

.secondary-banner {
  width: 100%;
  max-width: 1437px;
  height: auto;
}

.secondary-banner-image {
  max-width: 100%;
  position: relative;
  z-index: 1;
}

.strong-points-cards {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
  justify-content: center;
}

.strong-points-card {
  text-align: center;
  border-radius: 8px;
  background-color: white;
  padding: 30px;
  transition: var(--transition);
  height: auto;
  display: flex;
  flex-direction: column;
  width: calc(25% - 20px);
  box-sizing: border-box;
  min-width: 260px;
  font-family: var(--fontFamily);
  transition: transform 0.3s ease;
}

.strong-points-card:hover {
  transform: translateY(-15px);
}

.card-icon {
  margin-bottom: 20px;
}

.card-svg-img {
  width: 70px;
}

.card-title {
  font-weight: 800;
}

.card-description {
  margin-top: 20px;
  flex: 1;
  text-align: justify;
}

.card-btn {
  cursor: pointer;
  color: var(--mainColor);
  font-weight: 800;
  text-decoration: none;
}

/* ABOUT US STYLES */

.choose-us-area {
  position: relative;
  z-index: 1;
  background: inherit;
}

.about-image {
  overflow: hidden;
  text-align: center;
}

.about-content {
  padding-left: 15px;
}

.features-list {
  padding-left: 0;
  list-style-type: none;
  display: flex;
  flex-wrap: wrap;
  margin: -5px -8px 0 -8px;
}

.features-item {
  display: block;
  position: relative;
  font-size: 16px;
  font-weight: 800;
  color: var(--mainColor);
  font-family: var(--fontFamily);
  padding: 5px 0 5px 50px;
}

.features-item span {
  display: flex;
  gap: 10px;
  align-items: center;
}

.features-item-text {
  display: flex;
  align-items: center;
}

.features-list li {
  flex: 0 0 50%;
  max-width: 50%;
  padding: 16px 8px 0 8px;
}

.features-list i {
  position: absolute;
  left: 0;
  top: -2px;
  width: 40px;
  height: 40px;
  overflow: hidden;
  text-align: center;
  font-weight: 500;
  line-height: 40px;
  color: var(--mainColor);
  font-size: 25px;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.about-us-image {
  max-width: 100%;
}

.about-us-icon-img {
  width: 40px;
  height: 40px;
}

.about-us-image-wrapper {
  margin-top: 20px;
}

.about-us-title,
.about-us-description {
  text-align: start;
}

/*  ---  */

/*  Our Products  */

.products-block .image-block {
  margin-bottom: 20px;
}

.products-image {
  max-width: 100%;
}

.product-buttons-row {
  display: flex;
  justify-content: center;
  margin-top: 20px !important;
}

/*  ---  */

/*  Our Projects block  */

.swiper {
  width: 100%;
  height: 100%;
  max-width: 1300px;
  margin: 0 auto;
  height: 800px;
  border-radius: 10px;
}

.swiper-wrapper-mobile {
  display: none !important;
}

.mySwiper2 {
  margin-top: 30px;
}

.mySwiper1,
.mySwiper2,
.mySwiper1-1, .mySwiperDon1 {
  display: none !important;
}

.swiper-slide {
  text-align: center;
  font-size: 18px;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  background-size: contain;
  background-position: center;
  background-repeat: no-repeat;
  background-color: var(--mainGreyColor);
}

.swiper-slide img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  /* position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%); */
}

/*  ---  */

/*  Contact us  */

.contact-area {
  background: inherit;
}

.contact-info ul {
  padding-left: 0;
  list-style-type: none;
  margin: 35px 0 0 0;
}

.contact-info ul li {
  position: relative;
  margin-bottom: 35px;
}

.contact-info ul li .icon {
  .icon {
    width: 75px;
    height: 85px;
    background-color: #f8f9f8;
    border-radius: 3px;
    position: absolute;
    text-align: center;
    left: 0;
    font-size: 40px;
    color: var(--mainColor);
    transition: var(--transition);
    top: 0;
  }
}
.contact-info {
  padding: 0 15px;
}

.contact-us-sub-title,
.contact-us-description,
.contact-us-title {
  text-align: start;
}

.form-wrapper {
  display: flex;
  flex-direction: column;
  gap: 10px;
  margin-top: 30px !important;
}

.form {
  font-family: var(--fontFamily);
}

.form-title {
  font-family: var(--fontFamily);
}

.contact-info .sub-title {
  display: block;
  text-transform: uppercase;
  color: var(--mainColor);
  margin-bottom: 8px;
}

.contact-form h2 {
  margin-bottom: 0;
  color: var(--mainColor);
  font-weight: 800;
}

.contact-form p {
  color: var(--mainColor);
  margin: 10px 0 0 0;
}

.contact-form .form {
  margin-top: 25px;
}

.contact-form .form input,
textarea {
  display: block;
  width: 100%;
  border: none;
  color: var(--mainColor);
  background: #f5f7fa;
  height: 50px;
  padding-left: 15px;
  border-radius: 5px;
}

.form-control {
  height: 50px;
}

.default-btn {
  padding: 12px 30px;
  margin-top: 5px;
  background: #f5f7fa;
  color: var(--whiteColor);
  font-weight: 800;
  font-family: var(--fontFamily);
  border: 2px solid var(--mainColor);
  border-radius: 5px;
  background: var(--mainColor);
}

.default-btn,
a {
  text-decoration: none;
}

.default-btn:hover {
  background: var(--whiteColor);
  color: var(--mainColor);
}

textarea {
  height: auto !important;
  padding-top: 15px;
}

.contact-form {
  overflow: hidden;
  padding: 33px;

  border-radius: 5px;
  background: #e8f1f5;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.contact-list-item {
  display: flex;
  gap: 20px;
  align-items: center;
}

.contact-us-icon-image {
  width: 80px;
}

.contact-info-item {
  display: flex;
  flex-direction: column;
  gap: 10px;
  font-family: var(--fontFamily);
  text-wrap-style: balance;
}

.contact-info-item p {
  margin: 0;
}

.contact-info-item a {
  text-decoration: none;
  color: var(--mainColor) !important;
  font-weight: 800;
}

.contact-info-item_title {
  font-weight: 800;
  margin: 0;
}

/*  ---   */

.navbar-nav-mobile {
  display: none !important;
}

.navbar-nav-desktop {
  display: block;
}

/* Footer */

.footer-area {
  background-color: #100f1f;
  position: relative;
  z-index: 1;
}
.single-footer-widget {
  margin-bottom: 30px;
}

.footer-logo {
  padding: 0;
  box-sizing: content-box;
  max-width: 260px;
}

.footer-area h3 {
  margin-bottom: 20px;
  position: relative;
  color: var(--whiteColor);
}

.footer-area p {
  color: #ededed;
}

.footer-area .logo {
  display: inline-block;
  margin-bottom: 25px;
  max-width: 150px;
}

.footer-area .footer-links-list {
  padding-left: 0;
  margin-bottom: 0;
  list-style-type: none;
}

.footer-links-list li {
  margin-bottom: 12px;
  color: #ededed;
}

.footer-links-list a {
  color: #ededed;
  display: inline-block;
}

.footer-links-list a:last-child {
  margin-bottom: 0;
}

.footer-area .social-link {
  padding-left: 0;
  list-style-type: none;
  margin: 20px 0;
}

.social-link li {
  display: inline-block;
  margin-right: 7px;

  &:last-child {
    margin-right: 0;
  }
  a {
    width: 34px;
    height: 34px;
    text-align: center;
    color: var(--whiteColor);
    background-color: #1e1d2f;
    font-size: 18px;
    position: relative;
    border-radius: 2px;

    i {
      position: absolute;
      left: 0;
      top: 50%;
      right: 0;
      transform: translateY(-48%);
    }
    &:hover {
      background-color: var(--mainColor);
      color: var(--whiteColor);
    }
  }
}

.footer-area .footer-contact-info {
  padding-left: 0;
  margin-bottom: 0;
  list-style-type: none;
}

.footer-contact-info li {
  margin-bottom: 13px;
  color: #ededed;
  position: relative;
  padding-left: 22px;
}

.footer-contact-info li a {
  color: #ededed;
  display: inline-block;

  &:hover {
    color: var(--mainColor);
  }
}
.footer-contact-info li :last-child {
  margin-bottom: 0;
}
.footer-contact-info li span {
  position: absolute;
  left: -5px;
  top: 2px;

  &.bxs-inbox {
    top: 3px;
  }
}

.footer-contact-info li a {
  text-decoration: none;
}

.footer-content-block {
  padding-top: 50px;
}

.footer-bottom-area {
  text-align: center;
  border-top: 2px solid #181726;
  padding: 25px 0;
}

.copyright {
  color: white;
}

.lines {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  height: 100%;
  margin: auto;
  width: 100%;
  z-index: -1;
}

.line {
  position: absolute;
  width: 1px;
  height: 100%;
  top: 0;
  left: 50%;
  background: rgba(255, 255, 255, 0.1);
  overflow: hidden;
}

@keyframes moveLine {
  0% {
    top: -50%;
  }
  100% {
    top: 100%;
  }
}

.line::after {
  content: "";
  display: block;
  position: absolute;
  height: 15vh;
  width: 100%;
  top: -50%;
  left: 0;
  z-index: 1000;
  background: linear-gradient(
    to bottom,
    rgba(255, 255, 255, 0) 0%,
    #ffffff 75%,
    #ffffff 100%
  );
  animation: moveLine 6s infinite;
  animation-timing-function: cubic-bezier(0.4, 0.26, 0, 0.97);
}

.line:nth-child(1) {
  margin-left: -25%;
}
.line::after {
  animation-delay: 2s;
}
.line:nth-child(3) {
  margin-left: 25%;
}
.line:nth-child(3)::after {
  animation-delay: 2.5s;
}

.footer-container {
  display: flex;
  flex-direction: column;
}

.service-card {
  display: flex;
  flex-direction: column;
  background-color: white;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  overflow: hidden;
  width: 400px;
  text-align: center;
  transition: transform 0.3s ease;
  max-width: 100%;
}

.service-card:hover {
  transform: translateY(-10px);
}

.service-card img {
  width: 100%;
  height: 250px;
  display: block;
}

.service-title {
  font-size: 1.5rem;
  margin: 15px 0;
  color: #333;
}

.service-description {
  font-size: 1rem;
  color: #666;
  padding: 0 15px;
  margin-bottom: 20px;
  flex: 1;
}

.service-button {
  display: inline-block;
  margin-bottom: 20px;
  padding: 10px 20px;
  background: rgb(47, 124, 255);
  color: white;
  text-decoration: none;
  border-radius: 5px;
  transition: background-color 0.3s ease;
  max-width: 160px;
  align-self: center;
}

.service-button:hover {
  background: #2b2d42;
}

.services-wrapper {
  display: flex;
  gap: 20px;
  justify-content: center;
  display: flex;
  flex-wrap: wrap;
}

.main-services-block {
  padding: 40px;
}

/*   */

@media screen and (max-width: 991px) {
  .main-services-block {
    padding: 20px 10px;
  }

  .navbar-nav-mobile {
    display: flex;
  }

  .navbar-nav-desktop {
    display: none;
  }

  .nav-link:hover {
    border-bottom: 3px solid transparent !important;
  }

  .navbar-nav {
    background: #100f1f;
    margin: 25px 0;
    display: flex;
    flex-direction: column;
    padding: 30px !important;
  }
  .nav-item {
    padding: 5px 20px;
    border-bottom: 1px solid #eeeeee !important;
    background: #100f1f;
  }

  .main-banner-wrapper {
    min-height: 513px;
  }

  .strong-points-card {
    width: calc(35% - 20px);
  }

  .swiper {
    height: 500px;
    max-width: 90%;
  }

  .swiper-slide {
    background-size: cover;
  }

  .mySwiper,
  .mySwiper-1,
  .mySwiper3,
  .about-image, .mySwiperDon {
    display: none !important;
  }

  .mySwipre1,
  .mySwipre1-1,
  .mySwiper2,
  .mySwiper4, .mySwiperDon1 {
    display: block !important;
  }

  .navbar-nav {
    position: absolute;
    top: 68px;
    left: 0;
    right: 0;
  }
}

@media screen and (max-width: 1920px) {
  .swiper {
    max-width: 1000px;
    max-height: 600px;
  }
}

@media screen and (max-width: 600px) {
  .main-banner-wrapper {
    min-height: 315px;
  }
  .strong-points-card {
    width: calc(80%);
  }

  .swiper {
    height: 400px;
    max-width: 90%;
  }

  .swiper-slide {
    background-size: cover;
  }

  .mySwiper1,
  .mySwiper1-1,
  .mySwiper2, .mySwiperDon1 {
    display: block !important;
  }
}

.licenses {
  display: flex;
  flex-direction: column;
}

.mySwiperDon .swiper-slide, .mySwiperDon1 .swiper-slide {
  background-size: contain !important;
}

.donations .service-card img {
  object-fit: cover;
}

.navbar {
  background: #100f1f;
  color: white;
}

.navbar-toggler-btn {
  background: white !important;
}